<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
  xmlns:app="http://schemas.android.com/apk/res-auto"
  android:layout_width="match_parent"
  android:layout_height="match_parent">

  <LinearLayout
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <TextView
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:labelFor="@id/textServer"
      android:text="@string/server"
      android:textColor="#999" />

    <EditText
      android:id="@+id/textServer"
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:background="?attr/editTextBackground"
      android:backgroundTint="#999999"
      android:contentDescription="@string/server"
      android:ems="10"
      android:foregroundTint="#FFFFFF"
      android:importantForAutofill="no"
      android:inputType="textPersonName"
      android:singleLine="true"
      android:textColor="#CCCCCC"
      android:textColorHint="#444444" />

    <TextView
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:labelFor="@id/pwKey"
      android:text="@string/key"
      android:textColor="#999" />

    <EditText
      android:id="@+id/pwKey"
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:backgroundTint="#999999"
      android:contentDescription="@string/some_api_key"
      android:ems="10"
      android:foregroundTint="#FFFFFF"
      android:importantForAutofill="no"
      android:inputType="textPassword"
      android:singleLine="true"
      android:textColor="#CCCCCC"
      android:textColorHint="#444444" />

    <TextView
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:labelFor="@id/pwSecret"
      android:text="@string/secret"
      android:textColor="#999" />

    <EditText
      android:id="@+id/pwSecret"
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:backgroundTint="#999999"
      android:contentDescription="@string/some_api_secret"
      android:ems="10"
      android:foregroundTint="#FFFFFF"
      android:importantForAutofill="no"
      android:inputType="textPassword"
      android:singleLine="true"
      android:textColor="#CCCCCC"
      android:textColorHint="#444444" />

    <androidx.constraintlayout.widget.ConstraintLayout
      android:layout_width="match_parent"
      android:layout_height="122dp">

      <Button
        android:layout_width="205dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="24dp"
        android:background="#777777"
        android:onClick="saveServerSettings"
        android:text="@string/save"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <TextView
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:labelFor="@id/pwSetPasscode"
      android:text="@string/passcode" />

    <EditText
      android:id="@+id/pwSetPasscode"
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:ems="10"
      android:importantForAutofill="no"
      android:inputType="numberPassword" />

    <TextView
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:labelFor="@id/pwSetPasscodeConfirm"
      android:text="@string/confirm_passcode" />

    <EditText
      android:id="@+id/pwSetPasscodeConfirm"
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:ems="10"
      android:importantForAutofill="no"
      android:inputType="numberPassword" />

    <LinearLayout
      style="?android:attr/buttonBarStyle"
      android:layout_width="match_parent"
      android:layout_height="match_parent"
      android:orientation="horizontal">

      <Button
        style="?android:attr/buttonBarButtonStyle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:onClick="deletePasscode"
        android:text="@string/delete" />

      <Button
        style="?android:attr/buttonBarButtonStyle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:onClick="savePasscode"
        android:text="@string/set" />

    </LinearLayout>

    <Space
      android:layout_width="match_parent"
      android:layout_height="19dp" />

    <TextView
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:text="@string/to_delete_your_passcode_type_in_the_passcode_in_the_first_field_and_press_delete" />

  </LinearLayout>
</ScrollView>